#ifndef LEDDISPLAY_H
#define LEDDISPLAY_H

// Deklaracje

// Wyjscia:           D1   D2   D3   D4  DWUKROPEK
#define DISP_SEGM	{0x02,0x04,0x08,0x20,0x010}
#define DISP_PUSTE	 0xFF
// Wejscia:           0    1    2    3    4    5    6    7    8    9   PUSTE	(logika negatywna)
#define DISP_ZNAKI	{0x05,0xDD,0x46,0x54,0x9C,0x34,0x24,0x5D,0x04,0x14,DISP_PUSTE}
#define DISP_KROPKA  0xFB


//Prototypy funkcji

void display(void);
void init_display(void);

//Struktury:

struct disp_t{

	int  znak[4];
	int  kropka[4];
	char dwukropek;

	int  licznik;
	int  licznik2;

};

#endif